Name:           perl-Text-VimColor
Version:        0.11
Release:        9%{?dist}
Summary:        Syntax color text in HTML or XML using Vim
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-VimColor/
Source0:        http://www.cpan.org/authors/id/G/GE/GEOFFR/Text-VimColor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Path::Class) >= 0.02
BuildRequires:  perl(Test::More)
# needed for test
BuildRequires:  vim-enhanced
BuildRequires:  perl(XML::Parser)
Requires:       vim-enhanced
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

%description
This module tries to markup text files according to their syntax. It can be
used to produce web pages with pretty-printed colourful source code
samples. It can produce output in the following formats:
  text-vimcolor --format html --filetype prolog foo.pl > foo.html
This program is a command line interface to the Perl module Text::VimColor.

%prep
%setup -q -n Text-VimColor-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/text-vimcolor
%{perl_vendorlib}/Text
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*
%{_mandir}/man1/text-vimcolor.1.gz

%changelog
* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.11-9
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-7
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-6
- Mass rebuild with perl-5.12.0

* Fri Jan 15 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.11-5
- fix installation path

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.11-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.11-2
- add require and BR

* Thu Apr 16 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
